Subject: New PPPEXT Working Group Charter *with* *milestones*

From: "Karl Fox" <[email-masked]>
Date: Thu, 24 Jun 1999 10:46:57 -0400

Here's the new PPPEXT working group charter with actual milestones, which I
made up based on comments I received from the group.  Please look it over,
but don't panic if something seems awry--we'll be updating it after Oslo.

Karl

Description of Working Group:
-----------------------------
Note: A separate list has been set up for L2TP discussions:

L2TP Discussions:[email-masked]
To Subscribe: [email-masked]
Archive: http://www.ipsec.org/email/l2tp/

The Point-to-Point Protocol (PPP, RFC 1661) is a mature protocol with a
large number of subprotocols, encapsulations and other extensions. The group
will actively advance PPP's most useful extensions to full standard, while
defending against further enhancements of questionable value.

The Layer 2 Tunneling Protocol (L2TP) is a brand-new protocol for tunneling
PPP sessions over various network types. The group will actively advance the
L2TP base protocol through the standards process and consider extensions to
the base protocol.

Goals and Milestones:
---------------------
Aug 1999 Advance L2TP MIB to Proposed Standard
Aug 1999 Advance SDL draft to Experimental
Aug 1999 Advance AODI draft to Proposed Standard
Dec 1999 Advance CHAP (RFC 1994) to Standard
Dec 1999 Advance Multilink (RFC 1990) to Standard
Dec 1999 Advance LQM (RFC 1989) to Standard
Dec 1999 Advance IPCP (RFC 1332) to Draft Standard
Dec 1999 Advance BCP (RFC 1638) to Draft Standard
Dec 1999 Advance CCP (RFC 1962) to Draft Standard
Dec 1999 Advance ECP (RFC 1968) to Draft Standard
Dec 1999 Advance PPP over ISDN (RFC 1618) to Draft Standard
Mar 2000 Advance L2TP to Draft Standard
Mar 2000 Advance L2TP MIB to Draft Standard
Mar 2000 Advance AODI to Draft Standard
Mar 2000 Advance LCP MIB (RFC 1471) to Draft Standard
Mar 2000 Advance CHAP MIB (RFC 1472) to Draft Standard
Mar 2000 Advance IPCP MIB (RFC 1473) to Draft Standard
Mar 2000 Advance BCP MIB (RFC 1474) to Draft Standard
Dec 2000 Advance IPCP (RFC 1332) to Standard
Dec 2000 Advance BCP (RFC 1638) to Standard
Dec 2000 Advance CCP (RFC 1962) to Standard
Dec 2000 Advance ECP (RFC 1968) to Standard
Dec 2000 Advance PPP over ISDN (RFC 1618) to Draft Standard
Mar 2001 Advance L2TP to Standard
Mar 2001 Advance L2TP MIB to Standard
Mar 2001 Advance AODI to Standard
Mar 2001 Advance LCP MIB (RFC 1471) to Standard
Mar 2001 Advance CHAP MIB (RFC 1472) to Standard
Mar 2001 Advance IPCP MIB (RFC 1473) to Standard
Mar 2001 Advance BCP MIB (RFC 1474) to Standard

Karl Fox <[email-masked]>
Key fingerprint = 5B15 7260 D55E D680 0B93  4953 8A3B AB0E C05D 77A3

---

From: John Shriver <[email-masked]>
Date: Thu, 24 Jun 1999 11:16:52 -0400

IPXCP should move on to Draft Standard.  That's the only non-IP
protocol with any shelf-life left.  Many implementations (Cisco,
Proteon/OpenRoute, Shiva/Intel, Novell).

There certainly are still multiple interoperable implementations of
DNCP (OpenRoute/Proteon, Cisco, and Cabletron/Digital).  It's still at
Draft Standard, and certainly is old enough to flip to standard.  No
controversy.

XNSCP did get interoperable implementations from Cisco and Proteon.
However, OpenRoute/Proteon dropped XNS from their products a while
ago.  (It's VERY hard to find anything to test against!)  Certainly
nothing will be controversial.

As for BVCP, that might just die on the Vine(s).  Implemented by Cisco
and Proteon/OpenRoute, but Proteon/OpenRoute has dropped support.

Maybe I'm hazy, but BACP is part of the AODI suite, right?  Only at
Proposed Standard.  We (Shiva) finally shipped our ipmlementation.

NBFCP?  I think Shiva (Intel) and Microsoft have interoperable
implementations.  (Yeah, it's ugly.)